#ifndef __MOCK_I2C_H__
#define __MOCK_I2C_H__

#include <fff.h>

DEFINE_FFF_GLOBALS;

DECLARE_FAKE_VALUE_FUNC(int, i2c_open, const struct i2c_bb *);
DECLARE_FAKE_VALUE_FUNC(int, i2c_close, const struct i2c_bb *);
DECLARE_FAKE_VALUE_FUNC(int, i2c_read, const struct i2c_bb *, uint8_t, char *, unsigned int);
DECLARE_FAKE_VALUE_FUNC(int, i2c_write, const struct i2c_bb *, uint8_t, const char *, unsigned int);

#endif
